#----------------------------------------------------------------------------#
### PRNG Gen
## Created By: Winter_Snake
## [prng:prng_gen]
## Pseudo Random Number Generator - Generation
## Last Edited: August 26,2017
## Working Version: Minecraft 1.12.1
#----------------------------------------------------------------------------#

## Generating Random Number:
# -MUST set range before calling this function!
# -Call this function to generate a random number between desired range

## Retrieving Random Number:
## scoreboard players operation <entity data> funcPRNG1 = funcOutp funcPRNG1
## scoreboard players reset <entity data> funcPRNG1

## Retrieving Last Seed:
## scoreboard players operation funcBase funcPRNG1 = funcBase_B funcPRNG1
## scoreboard players operation funcSeed funcPRNG1 = funcSeed_B funcPRNG1

## Store Previous Seeds
scoreboard players operation funcBase_B funcPRNG1 = funcBase funcPRNG1
scoreboard players operation funcSeed_B funcPRNG1 = funcSeed funcPRNG1

## Randomize Calculations
scoreboard players operation funcSeed funcPRNG1 %= funcBase funcPRNG1
scoreboard players operation funcSeed funcPRNG1 *= funcMult funcPRNG1
scoreboard players operation funcSeed funcPRNG1 %= funcModu funcPRNG1
scoreboard players operation funcOutp funcPRNG1 = funcSeed funcPRNG1
scoreboard players operation funcOutp funcPRNG1 %= funcRang funcPRNG1
scoreboard players add funcSeed funcPRNG1 1

## Randomize Base Modulo
scoreboard players operation funcBase funcPRNG1 *= funcMult funcPRNG1
scoreboard players operation funcBase funcPRNG1 %= funcModu funcPRNG1